%define url_ver %(echo %{version} | cut -d. -f1,2)

#exclude plugin .so from provides
%global __provides_exclude_from %{_libdir}/xfce4/panel/plugins/.*\\.so

Summary:	Battery monitor plugin for the Xfce panel
Name:		xfce4-battery-plugin
Version:	1.1.5
Release:	%mkrel 1
License:	GPLv2+
Group:		Graphical desktop/XFCE
URL:		https://goodies.xfce.org/projects/panel-plugins/xfce4-battery-plugin
Source0:	https://archive.xfce.org/src/panel-plugins/xfce4-battery-plugin/%{url_ver}/%{name}-%{version}.tar.xz

BuildRequires: intltool
BuildRequires: xfce4-dev-tools
BuildRequires: lib64atk1.0-devel
BuildRequires: lib64cairo-devel
BuildRequires: lib64gdk_pixbuf2.0_0-devel
BuildRequires: lib64glib2.0-devel
BuildRequires: lib64gtk+3.0-devel
BuildRequires: lib64harfbuzz-devel
BuildRequires: lib64pango1.0-devel
BuildRequires: lib64xfce4panel2.0-devel
BuildRequires: lib64xfce4ui2-devel
BuildRequires: lib64xfce4util-devel

Requires:	xfce4-panel
Requires:   glibc >= 2.33

%description
Battery monitor panel plugin for the Xfce Desktop Environment.

%prep
%setup -q

%build
#to fix debug symbols build
%xdt_autogen
%configure2_5x
%make_build

%install
rm -rf %buildroot
%make_install

#we don't want these
find %{buildroot} -name "*.la" -delete

%find_lang %{name}

%files -f %{name}.lang
%{_libdir}/xfce4/panel/plugins/libbattery.so
%{_datadir}/xfce4/panel/plugins/battery.desktop
%{_iconsdir}/hicolor/*/apps/*


%changelog
* Thu Apr 20 2023 tex - 1.1.5-1pclos2023
- new version

* Mon Apr 05 2021 tex - 1.1.4-1pclos2021
- new version 1.1.4
